Create or update a Customer Relationship
Creates or updates the organization-scoped Customer Relationship sidecar for an existing Customer. Shared Customer identity updates are limited to explicit firstName, lastName, and phone values. Requires Idempotency-Key. Required scope: customers:write.
Creates or updates the organization-scoped Customer Relationship sidecar for an existing Customer. Shared Customer identity updates are limited to explicit firstName, lastName, and phone values. Requires Idempotency-Key. Required scope: customers:write.
Organization API key. Format: Bearer sk_live_...
In: header
Request Body
application/json
JSON request payload for createCustomerRelationship.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customer-relationships" \ -H "Content-Type: application/json" \ -d '{ "customerId": "customer_123", "ownerTeamMemberId": "team_member_123" }'{ "data": {}, "meta": { "requestId": "string", "version": "v1", "timestamp": "2019-08-24T14:15:22Z", "rateLimit": { "limit": 0, "remaining": 0, "reset": 0 } }}